org.apache.flume.interceptor

## Class HostInterceptor.Builder

- java.lang.Object
- - org.apache.flume.interceptor.HostInterceptor.Builder

- All Implemented Interfaces:
    Configurable, Interceptor.Builder
  Enclosing class:
    HostInterceptor

      public static class HostInterceptor.Builder
      extends Object
      implements Interceptor.Builder

  Builder which builds new instances of the HostInterceptor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostInterceptor.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Interceptor` | `build()`
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HostInterceptor.Builder

          public HostInterceptor.Builder()

  - ### Method Detail

    - #### build

          public Interceptor build()

      Specified by:
        `build` in interface `Interceptor.Builder`

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.